# Set the order external reference in the InLine Cart

## Overview

Use the Cart object to set **order external reference** of the InLine Cart by calling the `TwoCoInlineCart.cart.setOrderExternalRef(your-external-reference)` method.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. In order to set currency use TwoCoInlineCart.cart.setCurrency(currency-code).
5. In order to set order external reference use`TwoCoInlineCart.cart.setOrderExternalRef(your-external-reference)`method.
6. You can see below a signature token request payload for this example. A success response contains a JSON with the property “signature“ which needs to be used at the next step to set the signature using the TwoCoInlineCart method.<br>

   ```json
   {
       "merchant": "AVLRNG",
       "currency": "USD",
       "products": [
           {
               "code": "74B8E17CC0"
           }
       ],
       "reference": {
           "external": {
               "order": "test-order-external-ref"
           }
       }
   }
   ```

   \
   The above payload will generate the signature f40503a3feeb2c5fc0ca002ded20c59ad0f0b439e3911cfb03538906635d0ae4.
7. Use the TwoCoInlineCart.cart.setSignature('f40503a3feeb2c5fc0ca002ded20c59ad0f0b439e3911cfb03538906635d0ae4') method to set the signature.
8. Use the`TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### Javascript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.cart.setCurrency('USD');
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });
  TwoCoInlineCart.cart.setSignature('f40503a3feeb2c5fc0ca002ded20c59ad0f0b439e3911cfb03538906635d0ae4');
  TwoCoInlineCart.cart.setOrderExternalRef('test-order-external-ref');
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After setting the order external reference in the InLine cart using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/mZJLjq>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-the-order-external-reference-in-the-inline-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
